## mad-developer 1.4.25

=== Makefile ===

# XXX devrootsh may end up with wrong-architecture binary.

all:	devrootsh mad-developer-launcher src/mad-developer

#BIN=devrootsh mad-developer-launcher

devrootsh: devrootsh.c
	sh $<

mad-developer-launcher: mad-developer-launcher.c
	sh $<


src/mad-developer: src
	cd src && qmake && make clean && make

HOMEDIR=/home/developer
LIBDIR=/usr/lib/mad-developer

install_maemo: all
#	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
#	cp mad-developer-48.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/mad-developer.png
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/64x64/apps
	cp mad-developer-64.png $(DESTDIR)/usr/share/icons/hicolor/64x64/apps/mad-developer.png
	mkdir -p $(DESTDIR)/usr/share/applications/hildon
	cp mad-developer.desktop $(DESTDIR)/usr/share/applications/hildon
	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
	cp mad-developer.service $(DESTDIR)/usr/share/dbus-1/services
	mkdir -p $(DESTDIR)/usr/bin
	cp mad-developer-launcher $(DESTDIR)/usr/bin/mad-developer
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp dot-profile $(DESTDIR)$(LIBDIR)
	cp devrootsh $(DESTDIR)$(LIBDIR)
	cp mad-withhome.sh src/*.sh $(DESTDIR)$(LIBDIR)
	cp src/mad-developer $(DESTDIR)$(LIBDIR)

clean distclean:
	rm -rf devrootsh mad-developer-launcher *~
	cd src; qmake; make distclean
	./debian/rules clean

.PHONY:	ALWAYS

## mad-developer 1.4.22

=== debian/changelog ===
mad-developer (1.4.22) unstable; urgency=low

  * Added libosso-dev to build-depends

  * Changed mad-developer.sh as mad-withhome.sh which runs command
    given on command line after home directory checks done.
	
 -- Mad Developer <madde@none.invalid>  Fri, 15 Jan 2010 15:17:53 +0200

mad-developer (1.4.21) unstable; urgency=low

  * Added libosso1 to build-depends
	
 -- Mad Developer <madde@none.invalid>  Fri, 15 Jan 2010 10:00:52 +0200

mad-developer (1.4.20) unstable; urgency=low

  * Added libqt4-dev to build-depends
	
 -- Mad Developer <madde@none.invalid>  Fri, 15 Jan 2010 09:26:35 +0200

mad-developer (1.4.19) unstable; urgency=low

  * Updated debian/control Description: text
	
 -- Mad Developer <madde@none.invalid>  Thu, 14 Jan 2010 12:27:44 +0200

mad-developer (1.4.18) unstable; urgency=low

  * Moved HOME directory to /home/developer (on sd on N900);
    files now in /usr/bin and /usr/lib/mad-developer, some
    linked/copied to /home/developer when mad-developer run
	
 -- Mad Developer <madde@none.invalid>  Mon, 11 Jan 2010 10:18:22 +0200

mad-developer (1.3.130) unstable; urgency=low

  * First useable version for public consumption
	
 -- Mad Developer <madde@none.invalid>  Fri, 18 Dec 2009 14:19:45 +0200

mad-developer (1.2) unstable; urgency=low

  * Dependency tunes for first proper N900 installations
 
 -- Mad Developer <madde@none.invalid>  Thu, 12 Nov 2009 13:15:08 +0300

mad-developer (1.1) unstable; urgency=low

  * Update for fremantle
 
 -- Mad Developer <madde@none.invalid>  Thu, 22 Oct 2009 13:15:08 +0300

mad-developer (1.0) unstable; urgency=low

  * Initial version
 
 -- Mad Developer <madde@none.invalid>  Thu, 30 Apr 2009 15:39:08 +0300

=== debian/control ===
Source: mad-developer
Section: user/accessories
Priority: optional
Maintainer: Mad Developer <madde@none.invalid>
Uploaders: Mad Developer <madde@none.invalid>
Build-Depends: debhelper (>= 4.0.0), libqt4-dev (>= 4.5), libosso-dev, libosso1
Standards-Version: 3.6.1

Package: mad-developer
Section: user/tools
Architecture: armel
Depends: openssh-server (>= 4.0), libfuse2 (>= 2.7.0), fuse-utils (>= 2.7.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), usb-network-modules (>= 0.2)
Provides: mad-developer
Description: Mad Developer
 Lightweight and robust way to ease developer access to Maemo device.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	$(MAKE) install_maemo DESTDIR=`pwd`/debian/mad-developer

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mad-developer 1.4.25

=== debian/changelog ===
mad-developer (1.4.25) unstable; urgency=low

  * Rewrote history; email address fix.

 -- Mad Developer <madde-support@nixu.com>  Tue, 19 Jan 2010 10:12:21 +0200

mad-developer (1.4.24) unstable; urgency=low

  * Fixed some "ugliness" by *->setStyleSheet() calls.

 -- Mad Developer <madde-support@nixu.com>  Mon, 18 Jan 2010 13:31:06 +0200

mad-developer (1.4.23) unstable; urgency=low

  * Fixed Section: in debian/control

  * Added mad-developer icon to debian/control

 -- Mad Developer <madde-support@nixu.com>  Mon, 18 Jan 2010 08:48:31 +0200

## mad-developer 1.4.30

=== debian/changelog ===
mad-developer (1.4.30) unstable; urgency=low

  * Added developer xterm functionality

  * Made tunes and cleanups

 -- Mad Developer <madde-support@nixu.com>  Wed, 20 Jan 2010 09:22:02 +0200

## mad-developer 1.4.31

=== debian/changelog ===
mad-developer (1.4.31) unstable; urgency=low

  * Disable (all) buttons for 250ms when returning to launcher. 

 -- Mad Developer <madde-support@nixu.com>  Thu, 21 Jan 2010 11:37:11 +0200

## mad-developer 1.5.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # XXX devrootsh may end up with wrong-architecture binary.
 
-all:	devrootsh mad-developer-launcher src/mad-developer
+all:	devrootsh mad-developer-launcher src/mad-developer xterm-shell
 
 #BIN=devrootsh mad-developer-launcher
 
@@ -11,11 +11,13 @@
 mad-developer-launcher: mad-developer-launcher.c
 	sh $<
 
+xterm-shell: xterm-shell.c
+	sh $<
+
 
 src/mad-developer: src
 	cd src && qmake && make clean && make
 
-HOMEDIR=/home/developer
 LIBDIR=/usr/lib/mad-developer
 
 install_maemo: all
@@ -34,9 +36,10 @@
 	cp devrootsh $(DESTDIR)$(LIBDIR)
 	cp mad-withhome.sh src/*.sh $(DESTDIR)$(LIBDIR)
 	cp src/mad-developer $(DESTDIR)$(LIBDIR)
+	cp xterm-shell $(DESTDIR)$(LIBDIR)
 
 clean distclean:
-	rm -rf devrootsh mad-developer-launcher *~
+	rm -rf devrootsh mad-developer-launcher xterm-shell *~
 	cd src; qmake; make distclean
 	./debian/rules clean

=== debian/changelog ===
mad-developer (1.5.12) unstable; urgency=low

  * Changed user developer uid to be the same as user's uid.

  * Note: after this update connection to device runtime must be re-created.
	
 -- Mad Developer <madde-support@nixu.com>  Tue, 26 Jan 2010 12:33:48 +0200

mad-developer (1.4.36) unstable; urgency=low

  * Margin for net interface grid. Smaller 'Edit' button.

 -- Mad Developer <madde-support@nixu.com>  Tue, 26 Jan 2010 10:47:54 +0200

=== debian/control ===
Source: mad-developer
Section: user/development
Priority: optional
Maintainer: Mad Developer <madde-support@nixu.com>
Uploaders: Mad Developer <madde-support@nixu.com>
Build-Depends: debhelper (>= 4.0.0), libqt4-dev (>= 4.5), libosso-dev, libosso1
Standards-Version: 3.6.1

Package: mad-developer
Section: user/development
Architecture: armel
Depends: openssh-server (>= 4.0), libfuse2 (>= 2.7.0), fuse-utils (>= 2.7.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), usb-network-modules (>= 0.2)
Provides: mad-developer
Description: Mad Developer
 Lightweight and robust way to ease developer access to Maemo device.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9kM
 BQ4jNwdBBRAAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAT
 OklEQVRo3p1aeZgddZU9p+rtW3enOwnd2RfIMgkCIUaSIZCFgCA7gihMAAERBB11
 YBxA4MOFRXH4HEbEYRmRRQQFEYFgCIQAYQIJEIRsZE+60+l09+u39Fuq6swffSu2
 KCi+73tf/9H1qu5y7rnn3l8R/+AnCAKSdAC4kuIA0iRzADKSEnZZBUARQJ5kGUBV
 kkdS9n9XUhRAEkAWQJZkCkAEQB1ACUAfgKKkCsm6pACAHMeBJET+EeOl8PmgpAjJ
 JICcpBYJzY7DOIBAUo3kPg18fJI+gACAL4kAXAAxABkATQCaAeTCGEnKAyAAH4Bn
 fzUoAHD+UQckUZJLMg4gBaARwDDHYesXv/TE2Wd94VcXSGqT1GyRTQCIkKQkB4BD
 0gUQJ5kh2Uyydclz7x86d/4933h15Y6pJIeSbLSsxAbbKwkkP14Gwh+RJABH0v4I
 ShpC8oBrr1u68J7715+GSASZL/9Od//0pEcNAn0kS2a8PgCfHICWYrE24tSzH7uy
 XI/FP7/4N+M2r7v8+wD6ARQAlAxGvv1eHzsDJBEEwf4MAIhISkjKABgCoOWp5zbP
 dLINcFJpvfb67oMBZCVlLFMRAK4FwAUQBZCS1CCpuWNPcXTVj8ScVFZ7e7wW31cL
 gAbLcNR+w0Eo+HgOBEGAgWfDMWNihv8Gks0dHYWRa97qHo1YEqDLPZ3lFgAZuyYm
 KWIGuIPgkybZQLLpiq8/vUCRBBWJsVQJYjt35YcZvJKW6dAB2ufvdyCEj0XeIemS
 jElKk2wA0PTlK56ai1gScBMACd8PXIteGH1n0DdKMsxeI4Dmp5/dMgnRBOBGATeK
 Bx56e5JlKEEyak5zEIn8/Q4MMp4kHUkRSUmSWUkNlYrX/PzyXeOdZFqKxCG66Oko
 xS1yUTPYDakXQFRS0uqn4ee/ePMgxJNQJAEwCjou1qzpaAWQNPhFBxX/fic+dg1Y
 Ch2SIXyyJBvfW7f3gFKVcUSShBsd/LNIiH1JYeFHJMWMXXIks0/8bsOBTjyFgQxE
 gEgUr72+e6QFIG4M5loQP14GgiBAEAQIo28GxAGkJeUA5K69/vmZisQHIuhGAScC
 xOJYvWbXMDM+LOCQfRJW3A0Ask8t2TpR0QQQTQKOC8dxtGt3MQsgLilmGQgJwP7g
 z2lUfwKXB2AUyQ4ACLueXTOc5GaSYZgv6+oqDX3q2a3jnKY2KZa0WwtXX3UEDjt0
 xLkAziV5PoBd1vhco88MgNydd702rdJ95Z8F0/MC9vVVEQS6wHH4DoBHAbQPzsCH
 dWLPHDsHwA8GXRxG/xyLhm+Ybnjg4bUHOskMEE0S0RSkAHRcXHjBIYPv+xlJr5EM
 4ZM2is399H/enHbJxbNQKNZx2y86AK+GSFBCU9LD+edMD5LJ6NEA5pM8Q9K5JKvW
 SPXXHNgDYC+A80MHjD4pySF5rqQ/khwGYCiA7KOPr5+EaEKKxAk6oHwsmtuKsWMa
 sG177+4xoxtzAI4B8D0AVQAJg18DydyWXaUmAOgrerj+ji2AX4VT2AMUOnDw1OZl
 c2aPfgfA8STnA3gQwLEk/Y/qA/cCmCrpk4OgA5IzAUwF8LgxAnzPb1mxfOcIRROE
 XwP7eyE6uOjzEwEAS57b1A3gTSvWYwzPKesPuRdf2jIqX0R84CEBWNoLSAAH2LZY
 rMUBlEl+R9JqkkdJOuVvsdADAGoAzh8sHQCcJ6kOYGlYRedd9PinkM4Abkwq7gNL
 XRqe9XDSwhHY+H4PXn9jdw3AGrvvGSQTIfsAyF56+dNzGE/hTw50gfV+wHEB10VX
 d3/SSIMA/tvuc1bIis6H0OU+AE8C+JxJBQJIA/gsyT+YHnEA4MVX2sc4iQxYK3Ha
 WDcIil08/8RmRKMO7ntoHXa3FzMGya0AZkg6UFJGUm779t5h727KtyCaEABkMlFF
 /bJYLUB0AFLt7cWU1VrEAhEAODyUFB9Fo/dahzzNaOsUAA2SnjTtTgDY1VHJyY0A
 tX5cfeVsj56HC8+egCAQ7n9ko3rzlbikqKTldp/TrXc0LF22ZZQTS4W9BdlMHANK
 WSAdgC63buvNWgZckjVJvSRbwlh/lAPPAGgHcJ513sWSOkmusfQ7ABBEkgCgKGs6
 /dSp3mmnTtKEsTk8t2IPdnWUWPcUMcp9A4An6TgLTOr+B9dOYTQu+jUNZB6IugAC
 HwIButi+oy9njTPsI6Ga/WgxZzC5H8ACSXNIHkXycdMmjUEwUMROPCXUKxzTGg+i
 Ubd+7tnTCAD3PbYDoINi2YtZF60DeMMa12wATcue2zo6iCQQVCumMCHXgRXxgEeF
 QnW/irXiz0nqCsVc5G9MXfcBuNKK2gHwtLFJQ63mufF4BHIjVE8Xbr//lF4AOP7Y
 CQCAh26fiYdunwmj2m9+4PZzrr1uaQeyWRCgCnkLGhRxCXgBQ4Bs39nXYMZHJM20
 DKz+yIFmEHWuJ/kayVlGYXsBTASQ7itUY0PjEdCvo7Ut4R236MA8gKZo1MUbb3Xh
 zfVFwKsimwjqZ5425X2bb+sAppMc/8573RknkYK8KmYdMaIMIEVSUUdA4A2ghES1
 6ofGx0l+0dDxyGCh9aHK05rXl+2h3ZKyABp27e5rpdWP6hXMObq1z4b3kQBw2VXL
 sWoDgEoPWtPl2pmnTXkVQAeAsrHI7NmzR7X89uUinEpB3/zXf94F4EBgIKGAXIiQ
 E8HuLb1pK/qvADgYwAoAvwtldeTDxNsg+bARQCeAVgDjSTb8x7VLZ3z/O4sGrsnn
 8dWvnLDdunRs+468v2p1p6vsMJAu+gr12CDdEwPwvqTZ53xuunP1besUeP04YtbI
 TnPAueV7C+sbtvZH3VQWjRlg2rijIekSI5JXSV4yGCUfNRPTVGSMZNKi3wggu2zF
 rvEwydY2MlmZM3vMdkkzAODVlTtKUJCjtH94ApCUlCXpAXBffmWH/89zRrsnLmjj
 qhX58ogRDXvDNcvZZ013AcD3hb5CDVu29KBQqG7M5RK/t97Ub6z0l2IuVHph5zXq
 iklKh8X73B82jd+5u5IbNfMxsL8Xd/1g7tsGn6WSUste2HI4oawkwnFQyNcjtjMK
 JPl79hSzC096hPVEi4JCN3/+k/lvAchLuptk8tvXLz3sxtvWTuaQViDwoK5dePh/
 j1t35hnTt5oUdwbZyD9zwHEcBEEQDs2O0V+Y/kYAjRdf9vt5TGUHOo9Xwdwjx+yQ
 1APAJxk0N6dKgeeRCga43Atgwo0k/aXPb2mtK+oAUiou/9wvHLLJ9j91AP6woekC
 FAxQKQjQQT5fTQyi0nCZ9pedeNCsGY59cRv7cgAau7v7W3bvrTUylpKqRcw6pHn3
 gRObdwPoIdkLoJjLxsoKzADHBRwXGzZ2NdnWLnvjTS9NQCwBeDUeOC6zD0CBZC/J
 PIDilClDexDY5sRxgWgE6zfsa/jAWErTaH/VgXDxFCUZLp0aSTZce8PzMzwn4QgA
 a/149OHPvgAgD6BHUh+AUjzuVgaiF1gEiY72Qg5AdvOW7ub16/IpuAkF5RLOOn3y
 evt9r6SCpNKC+RN2wasDgQfSAV0X7R3FzODR1HZS3F/Epvc7AKyzwSwG4ClJv7bo
 N1WrXstP7n5zBnNtoFflqNZYb1trbq9pk14bEzPjxjYV4HmAAsBxsWnthXjr7d0J
 AP4TT65PIZ0G5NNFDd+66qi3JeVJ9lkMkwBqjLn7JTUdV3s6y2mSUZvmIuFgv78G
 bGQsAphnF+UA/JekZpIrJTXdceeqqYimITcmlfu4aN7YTQadHtu6xSVVajXPh8MB
 tWJSa936riQA/6FfvZd1YknBr2HunBHbbeOWB9BnHTYLoJpJR+pF+VENOMB8Xy0e
 QmjQfP0nKTGo8zpW6QDwQ5IPAthH8qKFCya0vTR7PC791kqcf+pB+NpXZrYD6DFa
 u1nSbQC+eMrJUxtWLGnEpd9ejbXvV62vyPU8P/GfNy+KMRaDX69jX1ffjiBQ0XF4
 g42aEySlSC477BPDK9deMy+aSCUAv45bbl2eNuNvl/QSyTGS5gOoRQYviQxb4bpE
 NgMsfnbJhu3HnfbEmHHTJ+LuW2fylRVb1gGYIOlX1qWXA7hA0mNbtnQPP+e8355/
 z72nY8E5KwASq9e0uzt29qX/7bpXsPLdkmaOFV9eft44En1GEk8D2ERyLoBzb/nu
 vNglV63EW1tdjGmu4/7bZ2fNgSTJJwC8EO4gIla0NExFbduWIjnCdvltLUOz415Y
 8gWALlLRAIsWjFslaa4tAOZJupnkZwCcdtBBQ5P3/ewEpNLu/qhUKh5isYiz8p28
 5Pv04Xa4rpMy+qySXGWOvEcyN2F8U+RHNx4xsJ4JfCQSoDlQBbAj3PKRdMJRzbFM
 xGxX0wLgCpJrKxVvxuIvPZN5rz0iVEs8fFKk/bWXLtxqRbvItP5GANsA/AZA7uij
 77syNmqMGG0kSKx+e6+zeWseR3yyja+8uAH33vX5dba26bMNx0GWgZGSevfuLccu
 /cay9LqOOORXEenZxZ72r2bSmbgMISEbMTJoT5mR9LTVQArAepKbTzr94Tk/vGkh
 Uuk4/XoV0yYP6bKie0bSXZJuBFAjeROAbwNofOXVC4MlK/Y4N9y1G6CDveUEL7t6
 Fe76wRw4OFRTpwydDOBntnYvkDwBwBQb9H/z7JKNc2+7cc7hqVwavh/gxWXv49HH
 3h2xePGhjjFVfP+AIylpR0Jpkk2ShpIcJWncshe2fGLByb8+xWlsFWplNkf7Sh3b
 vn4HiQ0k3wewG0DZmGuYCbLJoyfe/tWdxVQW2eFQIgcWB6SOinsxY2Kk/fVXL74X
 wLuSNpN8GMCRppVGApjywINvzT/noiUnOs1tkBuDejtw5qeHbfjlg2c9ImkdgI0k
 2wHkHds7ZkgOkTQUQJukNpLNiy98cqGbaoAABoVe3PezE5c4DrtNWvdJ6jcMe3Zs
 5AEIxo1tyDPwAfkDOE41Ab4HlMv492/OXmPUWbADD0mqk6z5vuqSqjMOa9s30Mx8
 wHHBWAwvr9zVFu5RSeYkpSTFHGOaRgDDSLYBGElyxDXXLZ29s9PPBPEsWO/X2FHJ
 3uOPO2idpH0Aeo3Dq5I8Sb6dX/kA/Ew6WjNeBoIA8Gqg14+mRqd6xunT1lnXLhgF
 fxJAXZJXq3l1ktXJk4d2wA2goG7NLKqePi9RLNaa7CCl0ZxJOibUmgEcYMa3bt/e
 O/bWH795iNMwVECgoNDLr19++EqL3D47OewnWSXpmdIMjJW85uZUGQpAaSALXgXw
 app1+AE7bajJSyrZKWbdMlhPJqP9YVYPO2R4OwNvIA7RGOuKuJ2dxRZJzdZgmwBk
 nBA+xWKt7TvfX35k69gfXThh2p0n1BNDHMTTZLXIyRNSey+/7FOvA+gy2VAgWTEF
 GVgGvPA7dkxDHvIH5IRfB+sVBeUiP3vqpPUmHQoky5Kqtqnw7V41c7D/2PnjtsCv
 D0AvkoCPKB/85Tvj/vhu5yiSLZKaAGQdw1LDUQvvW3zdLa8f31lKpPxUM5AaItTL
 Cvr7cOePj3/OBNc+AL0kS8bJvkU+MPjUAFQc16nun4r8GuT102UdF5w3471QdUrq
 J1m3DHp2Blwxx0qLjpmwlV5d9KtQLA2kh+CGW9+YNGfhAyffdPPyWVazOQdAtFyu
 pzdsLYxFshHKDAXTzUBQh8p5zvtUy6aj5o7dYNu1fZJC7NYtcgFJ39YmNUmV2bNG
 bUPgA34dqBbBeg0nfXrCWgBdg+qnImn/PSwAVUklkoWDpw9vd1QTvCooQekW+Kkh
 LCIb/e5tqxYWS7XGsAZAUnZmI5CQVwWKXRzR6Oeff/a8X0vqtKVWr20XajbAiGSY
 gRrJMsm+aNTpDup1qNwDlnsUVEv40kWHrTTZ3WP4r5rRgcHQI1kzZuobMiTVefzC
 0e8GlTJQL0MkkGqG4lmWqk7y8cffGwUg6gCop1LR4j9Natig/j6y1AWWutDgFvv/
 uPrieyW120Zh3yDmqEsK7CtJvkWzJKnn6KPGbviXM8Y/MzTR38NSFxcdOfy1Y4+Z
 +I4FIR+uWCxzH4RgmWReUvfjj579VCpSrbPSB6fYBdZKgF8XSHR0FmMAAko6VNIY
 kq0nn/Hw2a+u6pg+5aCmHffc+ZklEyY0bzMHdpPsNO1flhRmIByAoiRTkhoBDCV5
 QLg+tMm+AqFP0B6Anb7v9wIsui5rtgEMT/0TNn8MlzSa5LivfeOZT99x99pjPMYG
 JrRqBcNaot3tm6+4nsQmBkEwEUAryeFBoObu7nKusTFZi0ScgqRukl0A9koK4VO1
 w4Ug1OSmz2PWzRskNdnfpDlQDScv+xZJVo21ZFs2xwKRkdRI8gBJIySM+L9VO8d/
 65ql87Zuy7ecefrUVddcPfflTDq2neQ2BkHQZi9aNJj3ceP1cjivhq8JmCGenaUp
 XAKEx6528J2yIT5FMmYO1Izfy0Ggkus64VsrvhmvQS+OxO3otQnAMMtokykG2PP7
 SHYC2BOxqMIiW7Dz38BW2f0hL4eFO9j4kAAMw154cmiSItRIMLh5/f31WjIZrdq1
 QWh8OJNYPdQteI69mVI1Ck9YoOoWzF5J+f8H8pC6L+ijUjQAAAAASUVORK5CYII=

## mad-developer 1.6.11

=== debian/changelog ===
mad-developer (1.6.11) unstable; urgency=low

  * Added 'gdb' to dependency list.

 -- Mad Developer <madde-support@nixu.com>  Mon, 01 Feb 2010 09:11:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mad-developer
 Section: user/development
 Architecture: armel
-Depends: openssh-server (>= 4.0), libfuse2 (>= 2.7.0), fuse-utils (>= 2.7.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), usb-network-modules (>= 0.2)
+Depends: openssh-server (>= 4.0), libfuse2 (>= 2.7.0), fuse-utils (>= 2.7.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), usb-network-modules (>= 0.2), gdb (>= 6.8.50)
 Provides: mad-developer
 Description: Mad Developer
  Lightweight and robust way to ease developer access to Maemo device.

## mad-developer 1.6.12

=== debian/changelog ===
mad-developer (1.6.12) unstable; urgency=low

  * Added bugtracker address to debian/control

 -- Mad Developer <madde-support@nixu.com>  Fri, 05 Mar 2010 15:42:07 +0200

## mad-developer 1.6.16

=== debian/changelog ===
mad-developer (1.6.16) unstable; urgency=low

  * Usb module terminology change. Usb networking automation.

 -- Mad Developer <madde-support@nixu.com>  Thu, 12 Aug 2010 15:40:48 +0300

mad-developer (1.6.15) unstable; urgency=low

  * Added dhcp server feature.

 -- Mad Developer <madde-support@nixu.com>  Tue, 10 Aug 2010 16:39:17 +0300

mad-developer (1.6.14) unstable; urgency=low

  * Changed license from MIT to LGPL v2 for consistency.

 -- Mad Developer <madde-support@nixu.com>  Thu, 22 Apr 2010 15:29:12 +0300

mad-developer (1.6.13) unstable; urgency=low

  * Run mad-withhome.sh true at the end of postinst, for qemu image

 -- Mad Developer <madde-support@nixu.com>  Tue, 13 Apr 2010 14:07:49 +0300

## mad-developer 1.92

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	mkdir -p $(DESTDIR)$(LIBDIR)
 	cp dot-profile $(DESTDIR)$(LIBDIR)
 	cp devrootsh $(DESTDIR)$(LIBDIR)
-	cp mad-withhome.sh src/*.sh $(DESTDIR)$(LIBDIR)
+	cp mad-withhome.sh src/*.sh src/help.html $(DESTDIR)$(LIBDIR)
 	cp src/mad-developer $(DESTDIR)$(LIBDIR)
 	cp xterm-shell $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
mad-developer (1.92) unstable; urgency=low

  * Accidental creation of /home/user/.profile in postinst fixed.
    /home/user/.profile removed if matches created content (by md5).

 -- Mad Developer <madde-support@nixu.com>  Fri, 10 Sep 2010 09:58:49 +0300
	

mad-developer (1.6.17) unstable; urgency=low

  * Added help window.

 -- Mad Developer <madde-support@nixu.com>  Tue, 24 Aug 2010 17:19:30 +0300

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Provides: mad-developer
 Description: Mad Developer
  Lightweight and robust way to ease developer access to Maemo device.
+XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi?component=madde
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
  AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9kM

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-rm -f configure-stamp build-stamp 
+	-rm -f configure-stamp build-stamp
 	dh_clean
 
 install: build
@@ -32,4 +32,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install

## mad-developer 1.94

=== debian/changelog ===
mad-developer (1.94) unstable; urgency=low

  * Branched from 1.92 (1.93 changes not here (yet)).

  * Modified mad-withhome.sh to make sure 'developer' belongs to 
    the same groups as 'user'.
	
 -- Mad Developer <madde-support@nixu.com>  Wed, 29 Sep 2010 16:18:41 +0300
	

mad-developer (1.93) unstable; urgency=low

  * Replaced help.html (thanks to Niina for editing).

  * Added remote-wrapper.sh and utfs-client to distribution.

 -- Mad Developer <madde-support@nixu.com>  Fri, 17 Sep 2010 12:15:26 +0300
	

## mad-developer 2.0

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,12 @@
 
 LIBDIR=/usr/lib/mad-developer
 
+# pick files from madde source tree to be included.
+# binary package will not build without these files.
+pickfiles:
+	cp ../../madlib/remote-wrapper.sh .
+	cp ../../../_distfiles/utfs-client_1.952_armel.bin .
+
 install_maemo: all
 #	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
 #	cp mad-developer-48.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/mad-developer.png
@@ -37,6 +43,8 @@
 	cp mad-withhome.sh src/*.sh src/help.html $(DESTDIR)$(LIBDIR)
 	cp src/mad-developer $(DESTDIR)$(LIBDIR)
 	cp xterm-shell $(DESTDIR)$(LIBDIR)
+	cp remote-wrapper.sh $(DESTDIR)$(LIBDIR)/
+	cp utfs-client_1.952_armel.bin $(DESTDIR)$(LIBDIR)/utfs-client
 
 clean distclean:
 	rm -rf devrootsh mad-developer-launcher xterm-shell *~

=== debian/changelog ===
mad-developer (2.0) unstable; urgency=low

  * Versioned as 2.0 -- to be used with fremantle PR 1.3 release.

  * Restored 1.93 changes (remote-wrapper & utfs-client to distribution).

  * Updated help text.

 -- Mad Developer <madde-support@nixu.com>  Thu, 28 Oct 2010 16:36:40 +0300

## mad-developer 2.1

=== src/Makefile ===
#############################################################################
# Makefile for building: mad-developer
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 5 12:23:51 2010
# Project:  mad-developer.pro
# Template: app
# Command: /data/users/too/.madde/0.7.53/targets/fremantle-pr12-qt47tools/bin/qmake -o Makefile mad-developer.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtCore -I/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtGui -I/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /data/users/too/.madde/0.7.53/targets/fremantle-pr12-qt47tools/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = processrunner.cpp \
		netinterfaces.cpp \
		mainwindow.cpp \
		main.cpp \
		launcher.cpp \
		passwd.cpp \
		editinterface.cpp \
		usbmanage.cpp moc_processrunner.cpp \
		moc_netinterfaces.cpp \
		moc_mainwindow.cpp \
		moc_launcher.cpp \
		moc_passwd.cpp \
		moc_editinterface.cpp \
		moc_usbmanage.cpp
OBJECTS       = processrunner.o \
		netinterfaces.o \
		mainwindow.o \
		main.o \
		launcher.o \
		passwd.o \
		editinterface.o \
		usbmanage.o \
		moc_processrunner.o \
		moc_netinterfaces.o \
		moc_mainwindow.o \
		moc_launcher.o \
		moc_passwd.o \
		moc_editinterface.o \
		moc_usbmanage.o
DIST          = /data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mad-developer.pro
QMAKE_TARGET  = mad-developer
DESTDIR       = 
TARGET        = mad-developer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mad-developer.pro  /data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile mad-developer.pro
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf:
/data/users/too/.madde/0.7.53/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake:  FORCE
	@$(QMAKE) -o Makefile mad-developer.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mad-developer1.0.0 || $(MKDIR) .tmp/mad-developer1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mad-developer1.0.0/ && $(COPY_FILE) --parents processrunner.h netinterfaces.h mainwindow.h launcher.h passwd.h editinterface.h usbmanage.h .tmp/mad-developer1.0.0/ && $(COPY_FILE) --parents processrunner.cpp netinterfaces.cpp mainwindow.cpp main.cpp launcher.cpp passwd.cpp editinterface.cpp usbmanage.cpp .tmp/mad-developer1.0.0/ && (cd `dirname .tmp/mad-developer1.0.0` && $(TAR) mad-developer1.0.0.tar mad-developer1.0.0 && $(COMPRESS) mad-developer1.0.0.tar) && $(MOVE) `dirname .tmp/mad-developer1.0.0`/mad-developer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mad-developer1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_processrunner.cpp moc_netinterfaces.cpp moc_mainwindow.cpp moc_launcher.cpp moc_passwd.cpp moc_editinterface.cpp moc_usbmanage.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_processrunner.cpp moc_netinterfaces.cpp moc_mainwindow.cpp moc_launcher.cpp moc_passwd.cpp moc_editinterface.cpp moc_usbmanage.cpp
moc_processrunner.cpp: processrunner.h
	/data/users/too/.madde/0.7.53/targets/fremantle-pr12-qt47tools/bin/moc $(DEFINES) $(INCPATH) processrunner.h -o moc_processrunner.cpp

moc_netinterfaces.cpp: netinterfaces.h

=== debian/changelog ===
mad-developer (2.1) unstable; urgency=low

  * Added --dhcp-option=6 --dhcp-option=3 to dnsmasq startup options
    (thanks to Rodrigo Linfati for that)

 -- Mad Developer <madde-support@nixu.com>  Fri, 05 Nov 2010 12:12:53 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Provides: mad-developer
 Description: Mad Developer
  Lightweight and robust way to ease developer access to Maemo device.
-XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi?component=madde
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Development%20platform&component=Madde
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
  AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9kM

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
-	dh_shlibdeps -a
+	#dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

## mad-developer 2.2

=== debian/changelog ===
mad-developer (2.2) unstable; urgency=low

  * Added dependency "mcsp"

 -- Mad Developer <madde-support@nixu.com>  Thu, 13 Jan 2011 13:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mad-developer
 Section: user/development
 Architecture: armel
-Depends: openssh-server (>= 4.0), libfuse2 (>= 2.7.0), fuse-utils (>= 2.7.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), usb-network-modules (>= 0.2), gdb (>= 6.8.50)
+Depends: mcsp, openssh-server (>= 4.0), libfuse2 (>= 2.7.0), fuse-utils (>= 2.7.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), usb-network-modules (>= 0.2), gdb (>= 6.8.50)
 Provides: mad-developer
 Description: Mad Developer
  Lightweight and robust way to ease developer access to Maemo device.
